Skip to main content
PUT
Deploy Update
When called with an API key, the key needs the models scope (about scopes).

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

xi-api-key
string | null
x-api-key
string | null

Path Parameters

deploy_id
string
required

Body

application/json
settings
ScaleSettings · object | null
standard_args
StandardArgs · object | null

Engine tuning knobs. Replaces the whole set; omitted knobs are cleared.

extra_args
string[] | null

Extra engine-specific command-line args (custom-weight deploys only). Replaces the whole list; omitted args are cleared.

Response

Successful Response

deploy_id
string
required

Deploy Id

Example:

"fkj843kjh8"